Available Methods
- TransferPaymentToMerchant - Transfer payment to merchant
TransferPaymentToMerchant
Transfer payment to merchant.
Request Path Parameters
| Parameter | Type | Limits | Required | Description |
|---|---|---|---|---|
| terminalID | string | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| recipientAccountNumber | string | 11–19 characters | ✓ | Card number of the recipient/merchant |
| recipientFirstName | string | 1–40 characters | ✓ | First name of the recipient/merchant |
| recipientLastName | string | 1–40 characters | ✓ | Last name of the recipient/merchant |
| recipientCity | string | 1–25 characters | ✓ | City of the recipient/merchant |
| recipientCountry | string | 3 characters | ✓ | ISO alpha country code of the recipient/merchant. For example, ZAF. |
| recipientCategoryCode | string | 1–4 characters | ✓ | Mastercard-defined merchant category code |
| senderFirstName | string | 1–40 characters | ✓ | First name of the sender |
| senderLastName | string | 1–40 characters | ✓ | Last name of the sender |
| senderAddress | string | 1–100 characters | ✓ | Address of the sender |
| senderCity | string | 1–25 characters | ✓ | City of the sender |
| senderPostalCode | string | 4–5 characters | ✓ | Postal code of the sender |
| senderCountry | string | 3 characters | ✓ | ISO alpha country code of the sender. For example, ZAF. |
| reference | string | 1–100 characters | ✓ | The user-defined reference to the card; for example, a member ID or wallet number |
| requestAmount | integer | ✓ | The amount to be sent to the receiving subscriber | |
| transactionCurrency | string | 3 characters | ✓ | Currency of the requestAmount. For example, ZAR. |
| transactionID | string | 1–40 characters | ✓ | Client-generated transaction ID to assist in identifying transactions on the client side |
| transactionDate | date | Client-generated/local transaction date to assist in identifying transactions on the client side | ||
| optionalData | string | ✓ | Struct with optional fields. Only the recipientPostalCode field is currently accepted. The maximum length of recipientPostalCode is 10. | |
| checksum | string | ✓ | The calculated HMAC-SHA1 signature of the call as specified in the rules of thumb |
<methodCall>
<methodName>TransferPaymentToMerchant</methodName>
<params>
<param>
<value>
<string>0039467951</string>
</value>
</param>
<param>
<value>
<string>AFF44112</string>
</value>
</param>
<param>
<value>
<string>John</string>
</value>
</param>
<param>
<value>
<string>Doe</string>
</value>
</param>
<param>
<value>
<string>Bangkok</string>
</value>
</param>
<param>
<value>
<string>THA</string>
</value>
</param>
<param>
<value>
<string>10261</string>
</value>
</param>
<param>
<value>
<string>Jeremy</string>
</value>
</param>
<param>
<value>
<string>Booster</string>
</value>
</param>
<param>
<value>
<string>137 Zoho Rade 12</string>
</value>
</param>
<param>
<value>
<string>Bangkok</string>
</value>
</param>
<param>
<value>
<string>45687</string>
</value>
</param>
<param>
<value>
<string>THA</string>
</value>
</param>
<param>
<value>
<string>039200071850</string>
</value>
</param>
<param>
<value>
<int>100</int>
</value>
</param>
<param>
<value>
<string>THB</string>
</value>
</param>
<param>
<value>
<string>txn1234567</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20100102T12:34:56+0700</dateTime.iso8601>
</value>
</param>
<param>
<value>
<struct/>
</value>
</param>
<param>
<value>
<string>FE0F831A3AEB4925B97F3037D9B4BDDF5C615C3B</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | Type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<double>1</double>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>